import express from "express";
import cors from "cors";
import dataRoutes from "./routes/data.js";
import authRoutes from "./routes/auth.js";

const app = express();

app.use(
  cors({
    origin: ["http://localhost:5173"],
    methods: ["POST, GET", "PUT", "DELETE"],
    credentials: true,
  })
);
app.use(express.json());

app.use("/api/data", dataRoutes);
app.use("/api/auth", authRoutes);

app.listen(8081, () => {
  console.log("Connected");
});
